Subject: Re: [TR] Triumphs Digest, Vol 12, Issue 143

From: Anthony Rhodes <[email-masked]>
Date: Wed, 26 Jun 2019 16:57:26 -0400

Well, maybe not give up
On electronic ignition completely.  I am not a great fan of Pertronix, but they are fairly reliable.  

Even better would be a 45DM4 or 47DM4 distributor from an MG :0 (magnetic reluctor trigger inside) plus the AB14  ignition module.  This is essentially the Lucas CEI ignition system. And the AB14 is actually a Delco HEI ignition module internally.  You run it with a full 12 volts BUT you use a 1.5 ohm ("6 volt") coil.  The module limits the coil current and it gives a nice strong spark, and the module is extremely reliable.  

But well maintained points are perfectly fine!!!  The DM4 dizzy plus AB14 coil needs less maintenance (not zero maintenance!) and is possibly more reliable than points.  

-Tony

> Towed it home with the loader, got it in the garage and went to work testing.  No spark out of the plugs.  Good spark out of the coil.  Swapped the Pertronix unit out for points, engine started and car ran fine.  I think I'm done with electronic ignitions.  I very likely killed the thing leaving the key on or somesuch idiocy to which I am prone.  Fluke number one. 

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive